Skip to main content
POST
/
v1
/
webhooks
/
subscriptions
Create a webhook subscription
curl --request POST \
  --url https://api.strait.dev/v1/webhooks/subscriptions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "event_types": [
    "<string>"
  ],
  "project_id": "<string>",
  "secret": "<string>",
  "webhook_url": "<string>",
  "active": true
}
'
{
  "active": true,
  "created_at": "2023-11-07T05:31:56Z",
  "event_types": [
    "<string>"
  ],
  "id": "<string>",
  "project_id": "<string>",
  "webhook_url": "<string>",
  "$schema": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.strait.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key passed as Bearer token

Body

application/json
event_types
string[] | null
required
project_id
string
required
secret
string
required
webhook_url
string
required
active
boolean

Response

OK

active
boolean
required
created_at
string<date-time>
required
event_types
string[] | null
required
id
string
required
project_id
string
required
webhook_url
string
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://api.strait.dev/schemas/WebhookSubscription.json"